AbstractCommutativeType (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db.marshal
Class AbstractCommutativeType

    java.lang.Object
      org.apache.cassandra.db.marshal.AbstractType<java.lang.Long>
          org.apache.cassandra.db.marshal.AbstractCommutativeType

All Implemented Interfaces:
  java.util.Comparator<java.nio.ByteBuffer>

Direct Known Subclasses:
  CounterColumnType

    public abstract class AbstractCommutativeType

extends AbstractType<java.lang.Long>

Field Summary

Fields inherited from class org.apache.cassandra.db.marshal.AbstractType
`columnComparator, columnReverseComparator, indexComparator, indexReverseComparator, reverseComparator`

Constructor Summary
`AbstractCommutativeType()`

Method Summary
`java.lang.Long` | `compose(java.nio.ByteBuffer bytes)`
`abstract Column` | `createColumn(java.nio.ByteBuffer name, java.nio.ByteBuffer value, long timestamp)` create commutative column
`java.nio.ByteBuffer` | `decompose(java.lang.Long value)`
`boolean` | `isCommutative()`

Methods inherited from class org.apache.cassandra.db.marshal.AbstractType
`fromString, getColumnsString, getReverseComparator, getString, getString, parseDefaultParameters, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`compare, equals`

Constructor Detail

### AbstractCommutativeType

    public AbstractCommutativeType()

Method Detail

### isCommutative

    public boolean isCommutative()

  Overrides:
    `isCommutative` in class `AbstractType<java.lang.Long>`

### compose

    public java.lang.Long compose(java.nio.ByteBuffer bytes)

  Specified by:
    `compose` in class `AbstractType<java.lang.Long>`

### decompose

    public java.nio.ByteBuffer decompose(java.lang.Long value)

  Specified by:
    `decompose` in class `AbstractType<java.lang.Long>`

### createColumn

    public abstract Column createColumn(java.nio.ByteBuffer name,
                                        java.nio.ByteBuffer value,
                                        long timestamp)

  create commutative column

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation